# TODO:
#	- adapt src/ping.h to PLD ping
#
Summary:	GNOME interface for networking tools
Summary(pl.UTF-8):	Interfejs dla narzędzi sieciowych dla GNOME
Name:		gnome-nettool
Version:	3.8.1
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-nettool/3.8/%{name}-%{version}.tar.xz
# Source0-md5:	d4fc944b7ba8fd5f49f04a73e0d37e80
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgtop-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	libxml2-progs
BuildRequires:	pkgconfig >= 0.16
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Suggests:	bind-utils
Suggests:	bsd-finger
Suggests:	net-tools
Suggests:	ping
Suggests:	traceroute
Suggests:	whois
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a GNOME GUI for the basic networking tools like ping, whois,
traceroute and dig.

%description -l pl.UTF-8
Graficzny interfejs użytkownika do podstawowych narzędzi sieciowych,
takich jak ping, whois, traceroute czy dig dla GNOME.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%scrollkeeper_update_postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gnome-nettool
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-nettool.gschema.xml
%{_datadir}/%{name}
%{_desktopdir}/gnome-nettool.desktop
%{_iconsdir}/hicolor/*/apps/*
%changelog
* Sun Sep 24 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-nettool.git;a=log;h=master

* Sun Sep 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 0fa919f
- release 3 (by relup.sh)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 9084842
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 328b10d
- updated gettext BR

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 50f22b9
- updated to 3.8.1
- removed scrollkeeper leftovers

* Mon Feb 13 2012 lisu <lisu@pld-linux.org> 7d32a11
- up to 3.0.1
- tar.xz package

* Tue Apr 12 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5116b0f
- updated to 3.0.0; merged from DEVEL

* Sun Mar 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 0ed6875
- adjusted pl desc

* Sun Mar 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 29a93df
- en@shaw locale is now supported (via LANGUAGE)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> a286b68
- Requires(post,postun): gtk-update-icon-cache

* Tue Oct 12 2010 qwiat <qwiat@pld-linux.org> 26b5926
- updated to 2.32

* Thu May 13 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e27ad99
- updated to 2.30.0

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> ae2a366
- rel 2
- more desktop categories

* Wed Jan 06 2010 sparky <sparky@pld-linux.org> 394925b
- BR: docbook-dtd412-xml

* Thu Dec 31 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 7272a4e
- updated to 2.28.0

* Wed Nov 25 2009 sparky <sparky@pld-linux.org> a46af8c
- BR: libxml2-progs

* Sat Apr 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9f691c0
- updated to 2.26.1

* Wed Mar 18 2009 Patryk Zawadzki <patrys@room-303.com> 2d9c982
- 2.26.0

* Tue Nov 04 2008 Szymon Siwek <sls@pld-linux.org> 357f88c
- ver. 2.22.1

* Wed Apr 16 2008 Szymon Siwek <sls@pld-linux.org> c63c621
- Suggests: bind-utils for dig
- TODO about ping

* Wed Apr 16 2008 Szymon Siwek <sls@pld-linux.org> 4d564ce
- replace banner with Suggests

